Cyberduck Mountain Duck CLI

#3039 closed defect (fixed)

Incompatibility with 10.6 Snow Leopard

Reported by: aaron@… Owned by: dkocher
Priority: highest Milestone: 3.3
Component: core Version: 3.1.1
Severity: critical Keywords: Snow leopard, 10.6, failure
Cc: Architecture:
Platform: Mac OS X 10.6

Description (last modified by dkocher)

The icon bounces a few times, and then nothing.

[0x0-0x62062].ch.sudo.cyberduck[2945]   JavaVM: requested Java version
(1.5*) not available. Using Java at
"/System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home" instead.
18/03/2009 01:14:37
[0x0-0x62062].ch.sudo.cyberduck[2945]   [Deprecated] CocoaJava:
com.apple.cocoa.foundation.NSRuntime    18/03/2009 01:14:37
[0x0-0x62062].ch.sudo.cyberduck[2945]   -[NSJavaVirtualMachine
initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit
18/03/2009 01:14:37
com.apple.launchd[160]  ([0x0-0x62062].ch.sudo.cyberduck[2945]) Exited
with exit code: 255      18/03/2009 01:14:37
[0x0-0x64064].ch.sudo.cyberduck[2949]   JavaVM: requested Java version
(1.5*) not available. Using Java at
"/System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home" instead.
18/03/2009 01:14:40
[0x0-0x64064].ch.sudo.cyberduck[2949]   [Deprecated] CocoaJava:
com.apple.cocoa.foundation.NSRuntime    18/03/2009 01:14:40
[0x0-0x64064].ch.sudo.cyberduck[2949]   -[NSJavaVirtualMachine
initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit
18/03/2009 01:14:40
com.apple.launchd[160]  ([0x0-0x64064].ch.sudo.cyberduck[2949]) Exited
with exit code: 255      18/03/2009 01:14:40

Change History (94)

comment:1 follow-up: Changed on Mar 5, 2009 at 5:24:09 PM by dkocher

  • Milestone 3.1.3 deleted
  • Summary changed from Cyberduck won't launch with OSX 10.6 Snow Leopard to Won't launch on 10.6 Snow Leopard

I don't have access to the current developer seed.

comment:2 in reply to: ↑ 1 Changed on Mar 16, 2009 at 11:21:10 AM by dkocher

Replying to dkocher:

I don't have access to the current developer seed.

But it would certainly be helpful if you send me the crash log and any related output in console.log.

comment:3 follow-up: Changed on Mar 18, 2009 at 1:23:40 AM by b@…

[0x0-0x62062].ch.sudo.cyberduck[2945] JavaVM: requested Java version (1.5*) not available. Using Java at "/System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home" instead. 18/03/2009 01:14:37 [0x0-0x62062].ch.sudo.cyberduck[2945] [Deprecated] CocoaJava: com.apple.cocoa.foundation.NSRuntime 18/03/2009 01:14:37 [0x0-0x62062].ch.sudo.cyberduck[2945] -[NSJavaVirtualMachine initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit 18/03/2009 01:14:37 com.apple.launchd[160] ([0x0-0x62062].ch.sudo.cyberduck[2945]) Exited with exit code: 255 18/03/2009 01:14:37 [0x0-0x64064].ch.sudo.cyberduck[2949] JavaVM: requested Java version (1.5*) not available. Using Java at "/System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home" instead. 18/03/2009 01:14:40 [0x0-0x64064].ch.sudo.cyberduck[2949] [Deprecated] CocoaJava: com.apple.cocoa.foundation.NSRuntime 18/03/2009 01:14:40 [0x0-0x64064].ch.sudo.cyberduck[2949] -[NSJavaVirtualMachine initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit 18/03/2009 01:14:40 com.apple.launchd[160] ([0x0-0x64064].ch.sudo.cyberduck[2949]) Exited with exit code: 255 18/03/2009 01:14:40

comment:4 in reply to: ↑ 3 ; follow-up: Changed on Mar 18, 2009 at 11:15:07 AM by dkocher

Replying to b@…:

Thanks for the output. Is there no more a Java 1.5 VM installed? Can you please check the content of the folder /System/Library/Frameworks/JavaVM.framework/Versions/.

comment:5 in reply to: ↑ 4 Changed on Mar 22, 2009 at 1:22:43 PM by aardwolf

Replying to dkocher:

Replying to b@…:

Thanks for the output. Is there no more a Java 1.5 VM installed? Can you please check the content of the folder /System/Library/Frameworks/JavaVM.framework/Versions/.

The "folders" that are called 1.5 and 1.5.0 actually are symbolic links to the 1.6.0 folder, and there are no other java versions available (all of them are symbolic links to 1.6.0.)

comment:6 Changed on Mar 22, 2009 at 3:52:28 PM by dkocher

  • Description modified (diff)

comment:7 Changed on Mar 22, 2009 at 5:30:22 PM by dkocher

This is a problem because the 1.6 VM is 64-bit only and the Cocoa JNI Libraries are not (if present at all). What is the output of file /usr/lib/java/*?

comment:8 follow-up: Changed on Mar 22, 2009 at 5:31:35 PM by dkocher

And are there any com/apple/cocoa/ class files in /System/Library/Java?

comment:9 in reply to: ↑ 8 Changed on Mar 22, 2009 at 8:53:42 PM by aardwolf

Replying to dkocher:

And are there any com/apple/cocoa/ class files in /System/Library/Java?

Intel-iMac:~ aardwolf$ file /usr/lib/java/* /usr/lib/java/libjdns_sd.jnilib: Mach-O universal binary with 3 architectures /usr/lib/java/libjdns_sd.jnilib (for architecture x86_64): Mach-O 64-bit dynamically linked shared library x86_64 /usr/lib/java/libjdns_sd.jnilib (for architecture i386): Mach-O dynamically linked shared library i386 /usr/lib/java/libjdns_sd.jnilib (for architecture ppc7400): Mach-O dynamically linked shared library ppc graco duoglider

Intel-iMac:Java aardwolf$ pwd /System/Library/Java Intel-iMac:Java aardwolf$ ls * JavaConfig.plist

Extensions: AppleScriptEngine.jar libAppleScriptEngine.jnilib MRJToolkit.jar libJ3D.jnilib QTJava.zip libJ3DAudio.jnilib dns_sd.jar libJ3DUtils.jnilib j3daudio.jar libQTJNative.jnilib j3dcore.jar libShark.jnilib j3dutils.jar libmlib_jai.jnilib jai_codec.jar mlibwrapper_jai.jar jai_core.jar vecmath.jar

Last edited on Dec 24, 2010 at 4:37:07 PM by eckter (previous) (diff)

comment:10 follow-up: Changed on Mar 22, 2009 at 8:55:06 PM by aardwolf

Sorry... here's w/ code blocks:

Replying to dkocher:

And are there any com/apple/cocoa/ class files in /System/Library/Java?

Intel-iMac:~ aardwolf$ file /usr/lib/java/*
/usr/lib/java/libjdns_sd.jnilib: Mach-O universal binary with 3 architectures
/usr/lib/java/libjdns_sd.jnilib (for architecture x86_64):	Mach-O 64-bit dynamically linked shared library x86_64
/usr/lib/java/libjdns_sd.jnilib (for architecture i386):	Mach-O dynamically linked shared library i386
/usr/lib/java/libjdns_sd.jnilib (for architecture ppc7400):	Mach-O dynamically linked shared library ppc

Intel-iMac:Java aardwolf$ pwd
/System/Library/Java
Intel-iMac:Java aardwolf$ ls *
JavaConfig.plist

Extensions:
AppleScriptEngine.jar		libAppleScriptEngine.jnilib
MRJToolkit.jar			libJ3D.jnilib
QTJava.zip			libJ3DAudio.jnilib
dns_sd.jar			libJ3DUtils.jnilib
j3daudio.jar			libQTJNative.jnilib
j3dcore.jar			libShark.jnilib
j3dutils.jar			libmlib_jai.jnilib
jai_codec.jar			mlibwrapper_jai.jar
jai_core.jar			vecmath.jar

comment:11 in reply to: ↑ 10 Changed on Mar 22, 2009 at 9:34:25 PM by dkocher

Replying to aardwolf:

Looks like the Java Bindings to the Cocoa Framework is not deprecated but completly removed in that seed of 10.6. Can you please file a bug report at [bugreport.apple.com Apple].

comment:12 follow-up: Changed on Mar 22, 2009 at 10:07:24 PM by aardwolf

Ok... can you tell me what to put, exactly? I'll file the report in the beta program.

comment:13 Changed on Mar 22, 2009 at 11:07:18 PM by aardwolf

FYI, there is a new version of XCode required to run in Snow Leopard. It's downloadable by anyone with access to SL.

comment:14 in reply to: ↑ 12 Changed on Mar 23, 2009 at 12:19:58 AM by dkocher

Replying to aardwolf:

Ok... can you tell me what to put, exactly? I'll file the report in the beta program.

Cocoa Java Bindings unavailable. Launching an application dependant on Java bindings for the Cocoa frameworks fails with:

[0x0-0x64064].ch.sudo.cyberduck[2949]   [Deprecated] CocoaJava:com.apple.cocoa.foundation.NSRuntime
[0x0-0x64064].ch.sudo.cyberduck[2949]   -[NSJavaVirtualMachine initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit

Java native invocation libraries of the Cocoa AppKit and Foundation frameworks are missing from /usr/lib/java/. Furthermore com.apple.cocoa.* classes found at /System/Library/Java in previous versions of OS X are missing.

comment:15 Changed on Mar 23, 2009 at 2:29:31 AM by aardwolf

I logged a ticket with Apple. I'll update this ticket when they get back to me.

comment:16 follow-up: Changed on Mar 26, 2009 at 1:53:28 AM by aardwolf

Sorry... they got back to me, and basically said I shouldn't be talking about it.

comment:17 in reply to: ↑ 16 Changed on Mar 27, 2009 at 11:02:53 AM by dkocher

Replying to aardwolf:

Sorry... they got back to me, and basically said I shouldn't be talking about it.

Thanks for opening the ticket. Apple tends to prefer the monologue in its communications. Please contact me by email if possible.

comment:18 Changed on Apr 17, 2009 at 12:10:30 PM by dkocher

  • Summary changed from Won't launch on 10.6 Snow Leopard to Incompatibility with 10.6 Snow Leopard

comment:19 Changed on May 19, 2009 at 9:11:43 PM by thomas@…

i got this problem in the newly released 1.5.7 as well. is there any fix for it? seeing as there are no cyberduck alternatives

comment:20 Changed on May 31, 2009 at 2:51:49 PM by dkocher

  • Milestone set to 3.3
  • Status changed from new to assigned

comment:21 Changed on May 31, 2009 at 2:58:32 PM by dkocher

Will work in branches/rococoa/ to resolve this.

comment:22 Changed on Jun 13, 2009 at 12:00:29 AM by dieselpower44@…

wondering if anyone has found even a temporary solution to this? I need to use Cyberduck almost every day and love it but this problem is worrying me!! :( is there no way to install Java VM 1.50 where it used to be in Leopard? Infact I'm going to try

comment:23 Changed on Jun 13, 2009 at 12:02:46 AM by thomas@…

idk, i'm switching to transmit as a temporary solution, but in the meantime i'm waiting for 3.3 so i can switch back.

comment:24 follow-up: Changed on Jun 13, 2009 at 1:06:50 PM by dkocher

I post 10.6 ready builds to http://update.cyberduck.ch/nightly/alpha/. Please note that these are alpha quality. Current known issues are:

  • Eats a lot of memory.
  • Drag and drop to upload in browser not always working
  • Selection in browser lost on reload
  • No upload or download of bookmarks to MobileMe because of missing DotMacKit.framework in 64-bit
  • No QuickLook on 10.6
  • No AppleScript support

comment:25 Changed on Jun 13, 2009 at 1:13:38 PM by dieselpower44@…

wow thanks, I'll give them a go. at first I tried just dropping the 1.50 VM for Java from Leopard into the Snow Leopard Java frameworks folder and rebooted but still Cyberduck bounced and then stopped. My final solution (believe it or not, I was that desperate) was to install Leopard Server into a VM and run Cyberduck off that through VMware Fusion!! I think these nightly builds (although missing tiny pieces of functionality) are a much better option so thanks again dkocher!

comment:26 follow-up: Changed on Jun 13, 2009 at 6:08:55 PM by aardwolf

I'm getting "Unknown host key for aardwolf.org" which is my home server. I cannot click on Deny, Always, or Allow. The only way out is to quit Cyberduck.

comment:27 in reply to: ↑ 26 Changed on Jun 13, 2009 at 6:11:48 PM by aardwolf

Replying to aardwolf:

I'm getting "Unknown host key for aardwolf.org" which is my home server. I cannot click on Deny, Always, or Allow. The only way out is to quit Cyberduck.

I used SSH through Terminal to add the key to my list of known hosts as a workaround.

comment:28 Changed on Jun 23, 2009 at 7:42:05 PM by dkocher

  • Milestone changed from 3.5 to 3.3

comment:29 Changed on Jun 24, 2009 at 3:46:53 PM by Max Seelemann <max@…>

How wonderful, this alpha works on Snow Leopard. You made my day!

comment:30 Changed on Jun 26, 2009 at 1:28:38 PM by anonymous

Tahnx for all affort. I've try to run Alpha and it start's only if I change Snow Leo's interface language to English. Is there any workaround?

comment:31 follow-up: Changed on Jun 27, 2009 at 1:56:33 PM by Max Seelemann <max@…>

I also figured that drag&drop of files does not work - so basically I cannot upload anything...

comment:32 in reply to: ↑ 31 Changed on Jul 1, 2009 at 5:11:05 PM by bbruhl

Replying to Max Seelemann <max@…>:

I also figured that drag&drop of files does not work - so basically I cannot upload anything...

You have a few alternatives to the drag and drop for upload: 1) Right click will give you the upload option, then find the file and OK. OR 2) If you copy the file, then use the Cyberduck->Edit->Paste from Finder

Not as convenient, but better than writing a scp script yourself.

comment:33 Changed on Jul 8, 2009 at 9:16:05 PM by dkocher

A new build (r4888) has been posted. Issues posted above still apply, be warned. Automatic update is currently not working because it points to the regular nightly builds of the 3.1 branch.

comment:34 follow-up: Changed on Jul 10, 2009 at 7:29:25 PM by danrha@…

creating S3 buckets also crashes (r4888 in snow leopard)... is it a known issue or should i post a ticket?

comment:35 in reply to: ↑ 34 ; follow-up: Changed on Jul 11, 2009 at 7:28:39 PM by dkocher

Replying to danrha@…:

creating S3 buckets also crashes (r4888 in snow leopard)... is it a known issue or should i post a ticket?

This particular issue is fixed in r4895.

comment:36 in reply to: ↑ 35 Changed on Jul 12, 2009 at 12:33:49 PM by dkocher

Replying to dkocher:

Replying to danrha@…:

creating S3 buckets also crashes (r4888 in snow leopard)... is it a known issue or should i post a ticket?

This particular issue is fixed in r4895.

And more importantly r4903.

comment:37 Changed on Jul 12, 2009 at 2:47:05 PM by dkocher

Users of the alpha build may want to choose to run Cyberduck as 32bit which significantly reduces the memory footprint. Use Finder → File → Info → Open in 32 Bit Mode for the Cyberduck.app bundle.

comment:38 Changed on Jul 12, 2009 at 4:55:43 PM by dkocher

A new alpha build (r4916) is available that will now support auto updating to newer builds when available.

comment:39 Changed on Jul 18, 2009 at 4:15:15 PM by dkocher

The latest build 3.3a1 (4948) fixes the selection and drag and drop issues in the browser.

comment:40 follow-up: Changed on Jul 22, 2009 at 2:34:04 PM by anonymous

Version 3.3a1 (4961) works great, except for the issue, that stored keychain passwords cannot be read.

comment:41 follow-up: Changed on Jul 23, 2009 at 6:36:48 PM by anonymous

also it's not working when main language is other then english :(

comment:42 in reply to: ↑ 41 Changed on Jul 26, 2009 at 10:56:01 AM by dkocher

Replying to anonymous:

also it's not working when main language is other then english :(

Let me know the output in Console.app and what your preferred language is in System Preferences. Cannot replicate this.

comment:43 follow-ups: Changed on Jul 26, 2009 at 12:58:35 PM by piotrmiszczak@…

Tahnx for answer. My main language is polish. When I switch to English Duck is working perfectly, when I switch back to Polish it opens, showing no main window and with most of options in menu grayed-out

comment:44 in reply to: ↑ 40 Changed on Jul 26, 2009 at 6:41:31 PM by dkocher

Replying to anonymous:

Version 3.3a1 (4961) works great, except for the issue, that stored keychain passwords cannot be read.

That should only fail if Cyberduck.app is not properly signed. Check with

codesign -dv Cyberduck.app

comment:45 in reply to: ↑ 43 Changed on Jul 26, 2009 at 6:43:41 PM by dkocher

Replying to piotrmiszczak@…:

Tahnx for answer. My main language is polish. When I switch to English Duck is working perfectly, when I switch back to Polish it opens, showing no main window and with most of options in menu grayed-out

I cannot replicate this here using 3.3a1 (4961).

comment:46 in reply to: ↑ 43 ; follow-up: Changed on Jul 30, 2009 at 5:57:59 PM by anonymous

Replying to piotrmiszczak@…:

Tahnx for answer. My main language is polish. When I switch to English Duck is working perfectly, when I switch back to Polish it opens, showing no main window and with most of options in menu grayed-out

I am having exactly the same problem with 4961 and 4988. My language is set to Russian.

comment:47 Changed on Aug 5, 2009 at 7:53:20 PM by dkocher

  • Description modified (diff)

comment:48 in reply to: ↑ 46 ; follow-up: Changed on Aug 5, 2009 at 9:22:24 PM by dkocher

Replying to anonymous:

Replying to piotrmiszczak@…:

Tahnx for answer. My main language is polish. When I switch to English Duck is working perfectly, when I switch back to Polish it opens, showing no main window and with most of options in menu grayed-out

I am having exactly the same problem with 4961 and 4988. My language is set to Russian.

Please check again using build 3.3a1 (5018P).

comment:49 Changed on Aug 13, 2009 at 8:45:46 PM by dkocher

For those running these builds, please keep up to date with the latest builds distributed using auto update and make sure to always send the crash report when prompted to do so.

comment:50 Changed on Aug 14, 2009 at 10:32:07 AM by dkocher

Updates are now distributed using the regular nightly build channel as well for a wider audience testing this upcoming release.

comment:51 Changed on Aug 14, 2009 at 6:21:27 PM by cocker22@…

The latest 5098 build has messed up toolbars. The toolbar is extremely high and the icons aren't placed correctly. This is on the 10A432 build of 10.6. Turning the toolbar to text only is a work around, but the icon version is terribly formatted for some reason.

comment:52 Changed on Aug 14, 2009 at 6:57:56 PM by iGuru

I am also using Snow Leopard build 10A432 - and can confirm the same as cocker22 with regards to the ToolBar. I've also noticed that passwords are not being saved to the keychain for me.

comment:53 follow-up: Changed on Aug 17, 2009 at 1:39:00 AM by Stju

TOolbar problem can be solved if You force the application to open in 32 bit mode! To do so, right click on Application icon , click on get info and then tich on Open in 32bit mode checkbox Bingo :)

comment:54 in reply to: ↑ 53 Changed on Aug 17, 2009 at 9:17:07 AM by dkocher

Replying to Stju:

TOolbar problem can be solved if You force the application to open in 32 bit mode! To do so, right click on Application icon , click on get info and then tich on Open in 32bit mode checkbox Bingo :)

Build 5108 resolves this issue.

comment:55 in reply to: ↑ 24 Changed on Aug 17, 2009 at 9:19:20 AM by dkocher

Replying to dkocher:

I post 10.6 ready builds to http://update.cyberduck.ch/nightly/alpha/. Please note that these are alpha quality. Current known issues are:

  • Eats a lot of memory.
  • Drag and drop to upload in browser not always working
  • Selection in browser lost on reload
  • No upload or download of bookmarks to MobileMe because of missing DotMacKit.framework in 64-bit
  • No QuickLook on 10.6
  • No AppleScript support

Updated list of remainig issues:

  • No MobileMe bookmark sync when running in 64bit (Use Finder → Info to select the checkbox Open in 32bit mode).
  • No AppleScript support

The other issues above should be resolved.

comment:56 follow-up: Changed on Aug 17, 2009 at 12:15:44 PM by iGuru

Update on my previous bug report - as of Build 5108:

Toolbar problem resolved :)

Bug: When using 64 Bit mode of Snow Leopard Build 10A432 Cyberduck is unable to use passwords saved to the keychain Work Around: Simply run Cyberduck in 32 Bit mode (Right Click Cyberduck.app in finder -> Get Info -> Tick Open in 32-bit mode checkbox)

comment:57 in reply to: ↑ 56 Changed on Aug 17, 2009 at 9:25:40 PM by dkocher

Replying to iGuru:

Bug: When using 64 Bit mode of Snow Leopard Build 10A432 Cyberduck is unable to use passwords saved to the keychain Work Around: Simply run Cyberduck in 32 Bit mode (Right Click Cyberduck.app in finder -> Get Info -> Tick Open in 32-bit mode checkbox)

This is resolved as of r5109.

comment:58 in reply to: ↑ 48 ; follow-ups: Changed on Aug 18, 2009 at 2:58:09 PM by ur001ur001@…

Replying to dkocher:

Replying to anonymous:

Replying to piotrmiszczak@…:

Tahnx for answer. My main language is polish. When I switch to English Duck is working perfectly, when I switch back to Polish it opens, showing no main window and with most of options in menu grayed-out

I am having exactly the same problem with 4961 and 4988. My language is set to Russian.

Please check again using build 3.3a1 (5018P).

My language is set to Russian. Same problem with 5117 and other: no main window and menu items is grayed

comment:59 in reply to: ↑ 58 Changed on Aug 18, 2009 at 3:09:54 PM by ur001ur001@…

Replying to ur001ur001@…:

Replying to dkocher:

Replying to anonymous:

Replying to piotrmiszczak@…:

Tahnx for answer. My main language is polish. When I switch to English Duck is working perfectly, when I switch back to Polish it opens, showing no main window and with most of options in menu grayed-out

I am having exactly the same problem with 4961 and 4988. My language is set to Russian.

Please check again using build 3.3a1 (5018P).

My language is set to Russian. Same problem with 5117 and other: no main window and menu items is grayed

Works fine when launching in terminal with sudo. Else:

/Applications/Cyberduck.app/Contents/MacOS/Cyberduck 
2009-08-18 19:04:04,151 [main] INFO  ch.cyberduck.ui.cocoa.CDMainApplication - Default garbage collector for the current process:null
2009-08-18 19:04:04,548 [main] INFO  ch.cyberduck.core.Native - Locating library Local at '/Applications/Cyberduck.app/Contents/Resources/Java/libLocal.dylib'
2009-08-18 19:04:04,548 [main] INFO  ch.cyberduck.core.Native - Loaded /Applications/Cyberduck.app/Contents/Resources/Java/libLocal.dylib
JNA: Callback org.rococoa.internal.OCInvocationCallbacks$1@496614e7 threw the following exception:
java.lang.NullPointerException
	at org.rococoa.internal.OCInvocationCallbacks.countColons(OCInvocationCallbacks.java:219)
	at org.rococoa.internal.OCInvocationCallbacks.methodForSelector(OCInvocationCallbacks.java:95)
	at org.rococoa.internal.OCInvocationCallbacks.methodSignatureForSelector(OCInvocationCallbacks.java:88)
	at org.rococoa.internal.OCInvocationCallbacks$1.callback(OCInvocationCallbacks.java:67)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at com.sun.jna.CallbackReference$DefaultCallbackProxy.invokeCallback(CallbackReference.java:384)
	at com.sun.jna.CallbackReference$DefaultCallbackProxy.callback(CallbackReference.java:414)
	at com.sun.jna.Function.invokeInt(Native Method)
	at com.sun.jna.Function.invoke(Function.java:287)
	at com.sun.jna.Function.invoke(Function.java:231)
	at org.rococoa.internal.MsgSendHandler.invoke(MsgSendHandler.java:101)
	at com.sun.jna.Library$Handler.invoke(Library.java:214)
	at $Proxy0.syntheticSendMessage(Unknown Source)
	at org.rococoa.Foundation.send(Foundation.java:194)
	at org.rococoa.Foundation.send(Foundation.java:181)
	at org.rococoa.internal.NSObjectInvocationHandler.sendOnThisOrMainThread(NSObjectInvocationHandler.java:243)
	at org.rococoa.internal.NSObjectInvocationHandler.invokeCocoa(NSObjectInvocationHandler.java:225)
	at org.rococoa.internal.NSObjectInvocationHandler.invoke(NSObjectInvocationHandler.java:170)
	at $Proxy9.loadNibNamed_owner(Unknown Source)
	at ch.cyberduck.ui.cocoa.foundation.NSBundle.loadNibNamed(NSBundle.java:57)
	at ch.cyberduck.ui.cocoa.CDBundleController.loadBundle(CDBundleController.java:57)
	at ch.cyberduck.ui.cocoa.CDBundleController.loadBundle(CDBundleController.java:52)
	at ch.cyberduck.ui.cocoa.CDMainController.<init>(CDMainController.java:54)
	at ch.cyberduck.ui.cocoa.CDMainApplication.main(CDMainApplication.java:59)
...

(it's too long)

comment:60 in reply to: ↑ 58 ; follow-up: Changed on Aug 18, 2009 at 5:15:15 PM by dkocher

Replying to ur001ur001@…:

My language is set to Russian. Same problem with 5117 and other: no main window and menu items is grayed

Can you please give the following debugging output. Paste

defaults write ch.sudo.cyberduck logging trace

into a Terminal.app window and start Cyberduck from the command line as you did above. Send me the output just before it prints the exception stacktrace. Reset the logging level afterwards, otherwise performance suffers badly:

defaults write ch.sudo.cyberduck logging error

comment:61 in reply to: ↑ 60 ; follow-up: Changed on Aug 18, 2009 at 7:43:24 PM by ur001ur001@…

Replying to dkocher:

Replying to ur001ur001@…:

My language is set to Russian. Same problem with 5117 and other: no main window and menu items is grayed

Can you please give the following debugging output. Paste

defaults write ch.sudo.cyberduck logging trace

into a Terminal.app window and start Cyberduck from the command line as you did above. Send me the output just before it prints the exception stacktrace. Reset the logging level afterwards, otherwise performance suffers badly:

defaults write ch.sudo.cyberduck logging error

I can't paste there:

Submission rejected as potential spam (Akismet says content is spam)

there is http://pastebin.com/ma9c3846

comment:62 in reply to: ↑ 61 ; follow-up: Changed on Aug 19, 2009 at 12:38:20 PM by dkocher

Replying to ur001ur001@…:

there is http://pastebin.com/ma9c3846

Thanks for the log. Can you post the same for the latest nightly build available? There should be some difference at least.

comment:63 in reply to: ↑ 62 ; follow-up: Changed on Aug 19, 2009 at 2:08:46 PM by ur001ur001@…

Replying to dkocher:

Replying to ur001ur001@…:

there is http://pastebin.com/ma9c3846

Thanks for the log. Can you post the same for the latest nightly build available? There should be some difference at least.

i can't post one link:

Submission rejected as potential spam (Akismet says content is spam)

http://pastebin.com/m2abee7a4

some text, some text, some text

comment:64 in reply to: ↑ 63 Changed on Aug 19, 2009 at 3:16:15 PM by dkocher

Replying to ur001ur001@…:

Replying to dkocher:

Replying to ur001ur001@…:

there is http://pastebin.com/ma9c3846

Thanks for the log. Can you post the same for the latest nightly build available? There should be some difference at least.

i can't post one link:

Submission rejected as potential spam (Akismet says content is spam)

Sorry for the aggressive spam filtering; we get flooded with comment spam otherwise.

http://pastebin.com/m2abee7a4

And I guess no browser window is displayed. What is the exception stacktrace following? Also is this only for Russian and Polish or for any other localizations?

comment:65 Changed on Aug 26, 2009 at 4:32:29 AM by BYMASTER

Just tested last build. Still does'nt work if Russian localization. I tested Spanish - everything is ok, same as English.

comment:66 Changed on Aug 26, 2009 at 8:11:43 AM by bostjan.vidovic@…

Still not working on SL...

comment:67 Changed on Aug 26, 2009 at 10:03:39 PM by dkocher

All users already running the beta, please check for updates often using Cyberduck → Check for Update... and choose to Send in any crash logs when prompted after a crash. If you have discovered an issue not discussed here already, please submit your feedback.

comment:68 Changed on Aug 26, 2009 at 10:09:21 PM by bostjan.vidovic@…

tested the latest beta, still i can not see main window, menus are greyed out... Tested on Sl clean install.

comment:69 Changed on Aug 27, 2009 at 6:38:00 AM by BYMASTER

Build #5161 still not works in Russian localization. No any windows and almost all menus are grey.

comment:70 Changed on Aug 27, 2009 at 10:54:11 AM by Yokujin Yokosuka

Build 5161 - still no luck - Russian locale - almost any menu disabled...

comment:71 Changed on Aug 28, 2009 at 6:34:38 AM by BYMASTER

Build 5167 - still no changes. It's not working.

comment:72 Changed on Aug 28, 2009 at 12:48:05 PM by dkocher

Please note that the current beta requires an Intel processor until further notice.

comment:73 Changed on Aug 28, 2009 at 3:25:33 PM by curt

i've downloaded 3.3b1 and it still doesn't work properly, app is launched but it no has main window

comment:74 follow-up: Changed on Aug 28, 2009 at 4:13:26 PM by CDJ

can't connect with public key authentication with 3.3b1 on SL 10.6, can't select private key for sftp connections (label stays "no private key selected")

comment:75 Changed on Aug 28, 2009 at 4:31:53 PM by Jack

3.3b1 doesn't work in polish. No main windowow and most of menu options are grayed out.

comment:76 follow-up: Changed on Aug 29, 2009 at 6:27:10 AM by dobradmin

3.3b1 doesn't work in russian. No main windowow and most of menu options are grayed out. Work in english.

comment:77 in reply to: ↑ 76 Changed on Aug 29, 2009 at 5:35:09 PM by dkocher

Replying to dobradmin:

3.3b1 doesn't work in russian. No main windowow and most of menu options are grayed out. Work in english.

Issues with some localizations are now tracked in #3648.

comment:78 in reply to: ↑ 74 Changed on Aug 29, 2009 at 5:35:46 PM by dkocher

Replying to CDJ:

can't connect with public key authentication with 3.3b1 on SL 10.6, can't select private key for sftp connections (label stays "no private key selected")

This is in #3645.

comment:79 follow-up: Changed on Aug 30, 2009 at 10:49:24 AM by ipmi@…

Maybe you can help me with finding way, how to change app language. I'd like to use english version with polish interface in Snow Leo. David wrote that it's posible in info panel of cuck app (under finder app). when I select Duck and press cmd-I, or select info under File menu of Finder, there are no language options

comment:80 in reply to: ↑ 79 Changed on Aug 30, 2009 at 11:15:16 AM by dkocher

Replying to ipmi@…:

Maybe you can help me with finding way, how to change app language. I'd like to use english version with polish interface in Snow Leo. David wrote that it's posible in info panel of cuck app (under finder app). when I select Duck and press cmd-I, or select info under File menu of Finder, there are no language options

Refer to #3648.

comment:81 follow-up: Changed on Aug 30, 2009 at 11:54:27 PM by joemeekfreak@…

I use to run the old version of Cyberduck, upgraded to Snow Leopard and could not launch it, did a little digging and discovered it didn't work and that the beta would work. I downloaded it, and when I click on it the "unarchiving" never completes, it looks like it goes all the way up, but it never finishes, so thus, I have no client now and am kinda screwed....grrr...any suggestions?

comment:83 follow-up: Changed on Sep 4, 2009 at 4:04:39 PM by judd@…

The 3.3 beta does open properly in 10.6, and I can browse through the server hierarchy as normal (it retained my default server and logged in successfully), but I have no functionality beyond that, whatsoever. As in, the program is completely unresponsive to any command - upload, download, new browser, open connection, etc.

I seem to be able to disconnect and then connect again by refreshing, but I cannot open a new connection.

comment:84 in reply to: ↑ 83 Changed on Sep 4, 2009 at 5:02:45 PM by judd@…

Replying to judd@…:

The 3.3 beta does open properly in 10.6, and I can browse through the server hierarchy as normal (it retained my default server and logged in successfully), but I have no functionality beyond that, whatsoever. As in, the program is completely unresponsive to any command - upload, download, new browser, open connection, etc.

I seem to be able to disconnect and then connect again by refreshing, but I cannot open a new connection.

responding to my own comment - I threw out all old versions and restarted and things are actually working well, now. sorry about that!

comment:85 Changed on Sep 8, 2009 at 7:57:42 AM by czarny

I'm not sure whether I should post it here or in #3648. I can't run Cyberduck latest nightly build (r5230) or any other beta version. Log below:

kacper:hatta-dev cezarykrzyzanowski$ ~/Downloads/Cyberduck.app/Contents/MacOS/Cyberduck 
2009-09-08 09:47:27,551 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,766 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.766 Cyberduck[4851:903] Could not connect the action helpMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,769 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.769 Cyberduck[4851:903] Could not connect the action licenseMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,770 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.770 Cyberduck[4851:903] Could not connect the action historyMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,771 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,771 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,771 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,771 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,771 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,771 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,771 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,772 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,772 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,772 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,772 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,773 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,773 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,773 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,773 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,773 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,773 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,774 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.774 Cyberduck[4851:903] Could not connect the action aboutMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,774 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.774 Cyberduck[4851:903] Could not connect the action donateMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,776 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,776 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.776 Cyberduck[4851:903] Could not connect the action bugreportMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,777 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.777 Cyberduck[4851:903] Could not connect the action downloadBookmarksFromDotMacClicked: to target of class ProxyForJava
2009-09-08 09:47:27,778 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,788 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.788 Cyberduck[4851:903] Could not connect the action newBrowserMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,790 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.790 Cyberduck[4851:903] Could not connect the action preferencesMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,791 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.791 Cyberduck[4851:903] Could not connect the action acknowledgmentsMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,792 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.792 Cyberduck[4851:903] Could not connect the action newDownloadMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,793 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,794 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,794 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.794 Cyberduck[4851:903] Could not connect the action uploadBookmarksToDotMacClicked: to target of class ProxyForJava
2009-09-08 09:47:27,795 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27.795 Cyberduck[4851:903] Could not connect the action newBrowserMenuClicked: to target of class ProxyForJava
2009-09-08 09:47:27,796 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,846 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,846 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,887 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName
2009-09-08 09:47:27,888 [main] ERROR org.rococoa.callback - methodForSelector called with null selectorName

comment:86 Changed on Sep 8, 2009 at 8:00:57 AM by czarny

Sry --- this involves the problematic polish locale --- forgot to mention that. Setting internationalization preferences to english as the primary language doesn't fix the problem.

comment:87 Changed on Sep 11, 2009 at 12:40:05 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Download the latest Mac OS X 10.6 Snow Leopard compatible beta. No automatic update is available yet. AppleScript support scheduled for a post 3.3 release.

comment:88 Changed on Sep 11, 2009 at 12:59:14 PM by czarny

  • Resolution fixed deleted
  • Status changed from closed to reopened

I'm sorry, but the beta provided doesn't change the problem I've pasted above. When run, I get the same error (3.3b2):

kacper:~ cezarykrzyzanowski$ ~/Downloads/Cyberduck.app/Contents/MacOS/Cyberduck
2009-09-11 14:55:27,461 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,495 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.495 Cyberduck[5656:903] Could not connect the action helpMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,499 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.499 Cyberduck[5656:903] Could not connect the action licenseMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,500 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.500 Cyberduck[5656:903] Could not connect the action historyMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,501 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,501 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,502 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,502 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,502 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,502 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,502 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,502 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,502 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,503 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,503 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,504 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,504 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,504 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,504 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,506 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,506 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,506 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.506 Cyberduck[5656:903] Could not connect the action aboutMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,507 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.507 Cyberduck[5656:903] Could not connect the action donateMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,508 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,508 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.508 Cyberduck[5656:903] Could not connect the action bugreportMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,509 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.509 Cyberduck[5656:903] Could not connect the action downloadBookmarksFromDotMacClicked: to target of class ProxyForJava
2009-09-11 14:55:27,510 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,510 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.511 Cyberduck[5656:903] Could not connect the action newBrowserMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,512 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.512 Cyberduck[5656:903] Could not connect the action preferencesMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,513 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.513 Cyberduck[5656:903] Could not connect the action acknowledgmentsMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,514 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.514 Cyberduck[5656:903] Could not connect the action newDownloadMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,515 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,516 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,516 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.516 Cyberduck[5656:903] Could not connect the action uploadBookmarksToDotMacClicked: to target of class ProxyForJava
2009-09-11 14:55:27,517 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27.517 Cyberduck[5656:903] Could not connect the action newBrowserMenuClicked: to target of class ProxyForJava
2009-09-11 14:55:27,518 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,563 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,563 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,611 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 14:55:27,611 [main] ERROR org.rococoa.callback - Exception finding methodForSelector

comment:89 follow-up: Changed on Sep 11, 2009 at 1:12:55 PM by ur001ur001@…

Any version does not work without sudo. No main window, menu items are grayed.

2009-09-11 17:05:50,117 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 17:05:50,117 [main] TRACE org.rococoa.callback - callback wanting methodSignature for selector null
2009-09-11 17:05:50,117 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 17:05:50.117 Cyberduck[358:903] Could not connect the action helpMenuClicked: to target of class ProxyForJava
2009-09-11 17:05:50,120 [main] TRACE org.rococoa.callback - callback wanting methodSignature for selector null
2009-09-11 17:05:50,120 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 17:05:50.120 Cyberduck[358:903] Could not connect the action licenseMenuClicked: to target of class ProxyForJava
2009-09-11 17:05:50,121 [main] TRACE org.rococoa.callback - callback wanting methodSignature for selector null
2009-09-11 17:05:50,121 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 17:05:50.121 Cyberduck[358:903] Could not connect the action historyMenuClicked: to target of class ProxyForJava
2009-09-11 17:05:50,121 [main] TRACE org.rococoa.callback - callback wanting methodSignature for selector null
2009-09-11 17:05:50,121 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 17:05:50,121 [main] TRACE org.rococoa.callback - callback wanting methodSignature for selector null
2009-09-11 17:05:50,121 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 17:05:50,122 [main] TRACE org.rococoa.callback - callback wanting methodSignature for selector null
2009-09-11 17:05:50,122 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
2009-09-11 17:05:50,122 [main] TRACE org.rococoa.callback - callback wanting methodSignature for selector null
2009-09-11 17:05:50,122 [main] ERROR org.rococoa.callback - Exception finding methodForSelector
...

see http://pastebin.com/m5d61f8f1 for full log

comment:90 in reply to: ↑ 89 Changed on Sep 11, 2009 at 1:51:59 PM by dkocher

Replying to ur001ur001@…:

Any version does not work without sudo. No main window, menu items are grayed.

I am aware this is an open issue which has high priority. It has its own ticket at #3648. I am however still in the dark what might cause this and I cannot reproduce the issue here using any of the mentioned localizations. The only common denominator is that these are all slavic languages that are affected.yellowbox shoes

Last edited on Jan 13, 2011 at 5:31:42 PM by rhunna (previous) (diff)

comment:91 Changed on Sep 11, 2009 at 1:53:12 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:92 in reply to: ↑ 81 Changed on Apr 22, 2010 at 9:12:04 PM by mike3050

  • Platform set to Mac OS X 10.6

Replying to joemeekfreak@…:

I use to run the old version of Cyberduck, upgraded to Snow Leopard and could not launch it, did a little digging and discovered it didn't work and that the insurance quotes beta would work. I downloaded it, and when I click on it the "unarchiving" never completes, it looks like it goes all the way up, but it never finishes, so thus, I have no client now and am kinda screwed....grrr...any suggestions?

Me too use the old version,an suggest would be great.

comment:93 follow-up: Changed on Apr 23, 2010 at 6:13:51 AM by yla

All versions as of 3.3b1 are compatible with 10.6.

comment:94 in reply to: ↑ 93 Changed on Apr 23, 2010 at 10:12:23 AM by mike3050

Replying to yla:

All versions as of 3.3b1 are compatible with 10.6.

Thank you yla

Note: See TracTickets for help on using tickets.
swiss made software